# checksumsink

Calculates a checksum for buffers

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──checksumsink

## Factory details

Authors: – David Schleef

Classification: – `Debug/Sink`

Rank – none

Plugin – debugutilsbad

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Properties

### hash

    “hash” Checksum-sink-hash *

Checksum type

Flags : Read / Write

Default value : sha1 (1)

## Named constants

### Checksum-sink-hash

#### Members

`md5` (0) – MD5
`sha1` (1) – SHA-1
`sha256` (2) – SHA-256
`sha512` (3) – SHA-512

The results of the search are